## wxInitDialogEvent

A wxInitDialogEvent is sent as a dialog or panel is being initialised. Handlers for this event can transfer data to the window. The default handler calls wxWindow::TransferDataToWindow.

Derived from

wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process an activate event, use these event handler macros to direct input to a member function that takes a wxInitDialogEvent argument.

EVT_INIT_DIALOG(func) | Process a wxEVT_INIT_DIALOG event.

See also

Event handling overview

Members

wxInitDialogEvent::wxInitDialogEvent

### wxInitDialogEvent::wxInitDialogEvent

wxInitDialogEvent(int id = 0)

Constructor.